package com.ruoyi.common.annotation;

import java.lang.annotation.*;

/**
 * 实体类的相关信息
 * 暂时主要用于mongodb的代码生成
 */
@Target({ElementType.FIELD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Info {


  /**
   * 中文名称
   *
   * @return
   */
  String value() default "";

  /**
   * 字段或实体类的名称
   * 主要用于持久化是的名称
   * 默认未字段名
   *
   * @return
   */
  String javaName() default "";

  /**
   * 注释
   * @return
   */
  String comment() default "";

  boolean show() default true;

  /**
   * 是否允许添加
   * @return
   */
  boolean add() default true;

  /**
   * 允许添加时的默认值
   * @return
   */
  String addDefault() default "";

  /**
   * 是否允许更新
   * @return
   */
  boolean update() default true;

  /**
   * 允许修改时的默认值
   * @return
   */
  String updateDefault() default "";

  int order() default 0;

}
